<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package megapress
 */

get_header();
?>

	<div id="primary" class="col-12 col-sm-12 <?php echo esc_attr( get_theme_mod( 'megapress_homepage_sidebar' )=="yes"?'col-md-8 col-lg-8':'col-md-12 col-lg-12')?> content-area">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php echo esc_html(single_post_title( 'Recent posts ' , false ) , 'megapress' ); ?></h1>
				</header>
				<?php
			endif;

			$megapress_layout_posts_home = get_theme_mod('megapress_layout_posts_home'); 
			if( 'grid' == $megapress_layout_posts_home ) {
				echo '<div class="row">';
			}
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				if( 'list' == $megapress_layout_posts_home ) {
					get_template_part( 'template-parts/content', get_post_type() );
				} else {					
					get_template_part( 'template-parts/content', 'grid' );
				}


			endwhile;

			if( 'grid' == $megapress_layout_posts_home ) {
				echo '</div>';
			}

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
if( get_theme_mod( 'megapress_homepage_sidebar' ) == "yes" ) {
	get_sidebar();
}
get_footer();
